Using the µVision Socket Interface: TRNOPT Struct Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
TRNOPT Struct Reference
Structs

## Data Fields
OPTSEL | job
| Project item type. More...
UINT | iTarg
| 'Target name' starts at &szBuffer[iTarg] More...
UINT | iGroup
| 'Group name' starts at &szBuffer[iGroup] More...
UINT | iFile
| (no-path) 'File name' starts at &szBuffer[iFile] More...
UINT | iItem
| 'Item data string' starts at &szBuffer[iItem] More...
char | szBuffer [3]
| Option location and data (0, 'Target name',0 [,'Group name',0 [,'FileName',0]] [,'Item data string',0]) More...

## Description

Project option data

Structure containing the project option level and data information

This structure is used in the following messages:

Client ==> uVision (Request)

- UV_PRJ_GET_OPTITEM (Set job to the type of option to get, iTarg, iGroup and iFile to the start positions of target name, group name and file name within szBuffer)
- UV_PRJ_SET_OPTITEM (Set job to the type of option to set, iTarg, iGroup, iFile and iItem to the start positions of target name, group name, file name and item data string within szBuffer)

Client <== uVision (Response)

- UV_PRJ_GET_OPTITEM (uVision sets iItem to the index of the item data in szBuffer, all other data is returned as sent)

'Item data string' Format In the case of job being OPT_MEMRANGES, 'Item data string' is replaced by the UV_MEMINFO structure.

- OPT_LMISC (Free format string)
- OPT_CMISC (Free format string)
- OPT_AMISC (Free format string)
- OPT_CINCL (Free format string)
- OPT_AINCL (Free format string)
- OPT_CDEF (Free format string)
- OPT_ADEF (Free format string)
- OPT_CUNDEF (Free format string)
- OPT_AUNDEF (Unused)
- OPT_COPTIMIZE (Optimize (optimization level (target specific)), OptTime (0:= Optimize for size, 1:= Optimize for time))
- OPT_CODEGEN (Codegen ['arm':= Generate ARM code, 'thumb':= Generate Thumb code])
- OPT_MEMRANGES (UV_MEMINFO structure)
- OPT_ASNMEMRANGES (Code/Const (index of ROM region), ZiData (index of Zero-Initialized Data region), OtherData (index of Other Data region)). NOTE: Indexes are derived from memory region position in the UV_MEMINFO structure returned by UV_PRJ_GET_OPTITEM:OPT_MEMRANGES)
- OPT_UBCOMP1 Run User Programs Before Compilation of a C/C++ File 1
- OPT_UBCOMP2 Run User Programs Before Compilation of a C/C++ File 2
- OPT_UBBUILD1 Run User Programs Before Build / Rebuild 1
  Format: bRUN bDOS16 PATH
  i.e.: 10c:\Execute\MyProgram.exe
- OPT_UBBUILD2 Run User Programs Before Build / Rebuild 2
  Format: bRUN bDOS16 PATH
  i.e.: 10c:\Execute\MyProgram.exe
- OPT_UABUILD1 Run User Programs After Build / Rebuild 1
  Format: bRUN bDOS16 PATH
  i.e.: 10c:\Execute\MyProgram.exe
- OPT_UABUILD2 Run User Programs After Build / Rebuild 2
  Format: bRUN bDOS16 PATH
  i.e.: 10c:\Execute\MyProgram.exe
- OPT_UBEEP Beep When Complete
  Format: 'beep' or empty string
- OPT_USTARTDEB Start Debugging
  Format: 'start debug' or empty string

## Field Documentation

UINT TRNOPT::iFile

(no-path) 'File name' starts at &szBuffer[iFile]

UINT TRNOPT::iGroup

'Group name' starts at &szBuffer[iGroup]

UINT TRNOPT::iItem

'Item data string' starts at &szBuffer[iItem]

UINT TRNOPT::iTarg

'Target name' starts at &szBuffer[iTarg]

OPTSEL TRNOPT::job

Project item type.

char TRNOPT::szBuffer[3]

Option location and data (0, 'Target name',0 [,'Group name',0 [,'FileName',0]] [,'Item data string',0])